API referenceAgents
Create an agent
POST
/users/me/agentsCreates an agent that acts for you: your teams and grants, as a member, within the scopes you give it. Confirm it is you with a passkey or security key, or a password sign-in with an authenticator code, made in the last 10 minutes. You can have up to 10 agents. Only you, signed in, can create one: an agent's or app's token cannot.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
POST /users/me/agents.
Response Body
application/json
curl -X POST "https://example.com/users/me/agents" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "scopes": [ "string" ], "step_up": { "credential": "string", "email": "string", "method": "webauthn", "session": "string", "slug": "string" } }'{ "clients": [ { "client_id": "string", "created_at": "string", "expires_at": "string", "last_used_at": "string", "name": "string" } ], "created_at": "string", "id": "string", "name": "string", "scopes": [ "string" ], "updated_at": "string", "user_id": "string"}